using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.DataAccess
{
	public class CarEmployeeSelectByCarID : DataAccessBase
	{
		public CarEmployeeSelectByCarID()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.TripleDES;
			base.Key = "123";
			base.IV = "abc";
			ConnectionString = ConfigurationManager.AppSettings["kygl2"];
			base.InitCommand("[dbo].[CarEmployeeSelectByCarID]");
			ConfigParameter();
		}

		private SqlParameter paramCarID;
		public System.Int32 CarID
		{
			get
			{
				return (System.Int32)paramCarID.Value;
			}
			set
			{
				paramCarID.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramCarID = new SqlParameter();
			paramCarID.ParameterName = "@CarID";
			paramCarID.SqlDbType = SqlDbType.Int;
			paramCarID.Precision = 10;
			paramCarID.Scale = 0;
			paramCarID.Direction = ParameterDirection.Input;
			paramCarID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCarID);
		}
	}
}